# 辞書アップデート

指定した辞書の情報を更新します。辞書名の変更などが可能です。

Endpoint: PATCH /api/v1/dictionaries/{dictionary_id}
Version: 1.9.0
Security: APIKeyHeader

## Path parameters:

  - `dictionary_id` (string, required)
    更新したい辞書のID

## Request fields (application/json):

  - `name` (string)
    更新する辞書の新しい名前

  - `is_temporary` (boolean)
    POST /api/v1/transcriptions/uploadで単語を指定した場合に臨時的に生成される辞書。trueの場合、書き起こし終了後に削除される。

## Response 200 fields (application/json):

  - `dictionary_id` (string)
    辞書の一意な識別子

  - `team_id` (string)
    辞書が所属するチームのID

  - `name` (string)
    辞書の名前

  - `words` (array)
    辞書に含まれる単語の配列

  - `words.word_id` (string)
    単語の一意な識別子

  - `words.dictionary_id` (string)
    単語が所属する辞書のID

  - `words.word` (string)
    辞書に登録する単語

  - `words.reading` (string)
    単語の読み仮名（任意）

  - `words.created_at` (string)
    単語が作成された日時

  - `words.updated_at` (string)
    単語が最後に更新された日時

  - `is_temporary` (boolean)
    POST /api/v1/transcriptions/uploadで単語を指定した場合に臨時的に生成される辞書。trueの場合、書き起こし終了後に削除される。

  - `created_at` (string)
    辞書が作成された日時

  - `updated_at` (string)
    辞書が最後に更新された日時

## Response 400 fields (application/json):

  - `error_id` (string)
    サポート問い合わせ時に使用するエラーの一意な識別子

  - `error_code` (number)
    エラーの種類を示すコード

  - `error_message` (string)
    エラーの詳細な説明


